# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FlatManipulator.cpp File Reference

`#include <vlGraphics/FlatManipulator.h>`
`#include <vlGraphics/OpenGLContext.hpp>`

Go to the source code of this file.

## Functions

vl::ref< vl::Geometry > | makeScales (bool X, bool Y, bool Z, int numArmTicks, float mmStep, float mmTickSize)

## Function Documentation

vl::ref<vl::Geometry> makeScales | ( | bool | X,
|  | bool | Y,
|  | bool | Z,
|  | int | numArmTicks,
|  | float | mmStep,
|  | float | mmTickSize
| ) |  |

Definition at line 164 of file FlatManipulator.cpp.

References vl::ref< T >::get(), vl::Matrix4< float >::getRotation(), and vl::PT_LINES.

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:51.
Permission is granted to use this page to write and publish articles regarding Visualization Library.